Subject: RE: why am I administrator?
From: Dan Lipofsky <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: Dan Lipofsky <[email-masked]>
Date: Wed, 10 Jan 2001 14:54:46 -0600

Larry Hall wrote:
> At 03:22 PM 1/10/2001, Dan Lipofsky wrote:
> >I installed the latest cygwin on my Win2000Pro machine.
> >I was administrator when I installed it, but I am now
> >trying to use it while logged on as dlipofsky.  However,
> >cygwin still thinks I am administrator.  How can I fix this?
> >
> >USER=administrator but USERNAME=dlipofsky.
> >USERNAME is set by the OS.  Here is a dump of some enviroment
> >variables, from bash and from the DOS prompt respectively.
> <snip>
> 
> I believe USER is set in /etc/profile by setup.  Take a look there and
> alter it as you wish.

It is.  I see that it is set by
	USER="`id -un`"
So the question then become "Why is id returning the wrong thing?".
I can change the line to set USER to $USERNAME, but perhaps there
is something else that should be fixed here.
- Dan

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple